WITH tmp_medicao_tanque_fisico AS (
        SELECT 
            MAX(mdf.id_medicao_tanque_fisico) AS id_medicao_tanque_fisico,
            mdf.id_tanque_fisico 
        FROM medicao_tanque_fisico mdf 
        INNER JOIN tanque_fisico tf ON tf.id_tanque_fisico = mdf.id_tanque_fisico 
        INNER JOIN local_estoque le ON le.id_local_estoque = tf.id_local_estoque
        INNER JOIN sis_empresa se ON se.id_empresa = le.id_empresa
        WHERE se.id_empresa IN (:IdEmpresaMultSlc)
        GROUP BY mdf.id_tanque_fisico
)

SELECT
    le.id_local_estoque,
    le.denominacao,
    mdf.*

FROM local_estoque le 
INNER JOIN sis_empresa se ON se.id_empresa = le.id_empresa 
INNER JOIN tanque_fisico tf ON le.id_local_estoque = tf.id_local_estoque 
INNER JOIN medicao_tanque_fisico mdf ON tf.id_tanque_fisico = mdf.id_tanque_fisico 
WHERE mdf.id_medicao_tanque_fisico IN (SELECT id_medicao_tanque_fisico FROM tmp_medicao_tanque_fisico)